# Uses of Class
javax.xml.crypto.dsig.keyinfo.KeyInfoFactory

Packages that use KeyInfoFactory
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.
javax.xml.crypto.dsig.keyinfo
Classes for parsing and processing `KeyInfo` elements and structures.

## Uses of KeyInfoFactory in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return KeyInfoFactory
Modifier and Type
Method
Description
`KeyInfoFactory`
XMLSignatureFactory.`getKeyInfoFactory()`
Returns a `KeyInfoFactory` that creates `KeyInfo` objects.

## Uses of KeyInfoFactory in javax.xml.crypto.dsig.keyinfo

Methods in javax.xml.crypto.dsig.keyinfo that return KeyInfoFactory
Modifier and Type
Method
Description
`static KeyInfoFactory`
KeyInfoFactory.`getInstance()`
Returns a `KeyInfoFactory` that supports the default XML processing mechanism and representation type ("DOM").
`static KeyInfoFactory`
KeyInfoFactory.`getInstance​(String mechanismType)`
Returns a `KeyInfoFactory` that supports the specified XML processing mechanism and representation type (ex: "DOM").
`static KeyInfoFactory`
KeyInfoFactory.`getInstance​(String mechanismType, String provider)`
Returns a `KeyInfoFactory` that supports the requested XML processing mechanism and representation type (ex: "DOM"), as supplied by the specified provider.
`static KeyInfoFactory`
KeyInfoFactory.`getInstance​(String mechanismType, Provider provider)`
Returns a `KeyInfoFactory` that supports the requested XML processing mechanism and representation type (ex: "DOM"), as supplied by the specified provider.